/// <reference types="node" resolution-mode="require"/>
export interface EncryptionSettings {
    encryptionIvLength: number;
    encryptionKeyDigest: string;
    encryptionKeyIterations: number;
    encryptionKeyLength: number;
    encryptionKeySalt: number[];
    keycodeFormat: RegExp;
    messageBlockSize: number;
    messageTerminator: string;
    responseTerminator: string;
}
export declare class LGEncoder {
    protected settings: EncryptionSettings;
    constructor(settings?: EncryptionSettings);
    protected terminateMessage(message: string): string;
    protected stripEnd(message: string): string;
    encode(message: string): Buffer;
    decode(data: Buffer): string;
}
export declare class LGEncryption extends LGEncoder {
    private derivedKey;
    constructor(keycode: string, settings?: EncryptionSettings);
    private deriveKey;
    private generateRandomIv;
    protected padMessage(message: string): string;
    encode(message: string): Buffer;
    decode(cipher: Buffer): string;
}
//# sourceMappingURL=LGEncryption.d.ts.map