import { Apps, EnergySavingLevels, Inputs, Keys, PictureModes, ScreenMuteModes } from '../constants/TV.js';
import { LGEncoder } from './LGEncryption.js';
import { TinySocket } from './TinySocket.js';
export declare class ResponseParseError extends Error {
}
export declare class LGTV {
    encoder: LGEncoder;
    socket: TinySocket;
    constructor(host: string, macAddress: string | null, keycode: string | null, settings?: {
        encryptionIvLength: number;
        encryptionKeyDigest: string;
        encryptionKeyIterations: number;
        encryptionKeyLength: number;
        encryptionKeySalt: number[];
        keycodeFormat: RegExp;
        messageBlockSize: number;
        messageTerminator: string;
        responseTerminator: string;
        networkPort: number;
        networkTimeout: number;
        networkWolAddress: string;
        networkWolPort: number;
    });
    private sendCommand;
    connect(): Promise<void>;
    disconnect(): Promise<void>;
    getCurrentApp(): Promise<Apps | string>;
    getCurrentVolume(): Promise<number>;
    getIpControlState(): Promise<boolean>;
    getMacAddress(type: 'wired' | 'wifi'): Promise<string>;
    getMuteState(): Promise<boolean>;
    powerOff(): Promise<void>;
    launchApp(name: Apps | string): Promise<void>;
    setPictureMode(mode: PictureModes): Promise<void>;
    powerOn(): void;
    sendKey(key: Keys): Promise<void>;
    setScreenMute(mode: ScreenMuteModes): Promise<void>;
    setEnergySaving(level: EnergySavingLevels): Promise<void>;
    setInput(input: Inputs): Promise<void>;
    setVolume(volumeLevel: number): Promise<void>;
    setVolumeMute(isMuted: boolean): Promise<void>;
}
//# sourceMappingURL=LGTV.d.ts.map