/// <reference types="node" resolution-mode="require"/>
export interface SocketSettings {
    networkPort: number;
    networkTimeout: number;
    networkWolAddress: string;
    networkWolPort: number;
}
export declare class TimeoutError extends Error {
}
export declare class TinySocket {
    private host;
    private macAddress;
    private settings;
    private client;
    constructor(host: string, macAddress: string | null, settings?: {
        encryptionIvLength: number;
        encryptionKeyDigest: string;
        encryptionKeyIterations: number;
        encryptionKeyLength: number;
        encryptionKeySalt: number[];
        keycodeFormat: RegExp;
        messageBlockSize: number;
        messageTerminator: string;
        responseTerminator: string;
        networkPort: number;
        networkTimeout: number;
        networkWolAddress: string;
        networkWolPort: number;
    });
    wrap<T>(method: (resolve: (value: T) => void, reject: (error: Error) => void) => void): Promise<T>;
    connect(): Promise<void>;
    read(): Promise<Buffer>;
    write(data: Buffer): Promise<void>;
    sendReceive(data: Buffer): Promise<Buffer>;
    disconnect(): Promise<void>;
    wakeOnLan(): void;
}
//# sourceMappingURL=TinySocket.d.ts.map